# $Revision: 1.16 $, $Date: 2005/03/24 22:39:14 $
#
# Conditional build:
%bcond_without	tests 	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	ExtUtils
%define		pnam	Depends
Summary:	ExtUtils::Depends - easily build XS extensions
Summary(pl):	ExtUtils::Depends - atwe budowanie rozszerze XS
Name:		perl-ExtUtils-Depends
Version:	0.205
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	02c22a93ec9efb8e457764114ce24eb4
URL:		http://gtk2-perl.sf.net/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other Perl extensions.

%description -l pl
Ten modu prbuje uatwi budowanie perlowych rozszerze uywajcych
funkcji i map typw udostpnianych przez inne rozszerzenia Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/ExtUtils/Depends.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-Depends.spec,v $
Revision 1.16  2005/03/24 22:39:14  freetz
- 0.205

Revision 1.15  2004/11/03 22:30:20  paladine
- formatting

Revision 1.14  2004/10/11 20:54:49  freetz
- 0.204

Revision 1.13  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.12  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.10  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.9  2004/04/14 14:57:04  ankry
- cosmetics

Revision 1.8  2004/03/14 18:31:48  adamg
- updated to 0.202

Revision 1.7  2004/02/13 20:29:38  freetz
- 0.201

Revision 1.6  2003/11/28 15:10:06  freetz
- up to 0.104

Revision 1.5  2003/10/25 12:50:17  freetz
- removed redundant Rs

Revision 1.4  2003/10/24 21:40:14  freetz
- new style bcond
- more BR

Revision 1.3  2003/08/24 17:24:53  freetz
- jump to 0.103

Revision 1.2  2003/07/31 22:19:52  qboosh
- pl

Revision 1.1  2003/07/25 15:52:41  freetz
- initial release
